Package it.ernytech.tdlib

## Class TdApi.AuthorizationStateWaitEncryptionKey

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.AuthorizationState
    - - it.ernytech.tdlib.TdApi.AuthorizationStateWaitEncryptionKey

Enclosing class:
  TdApi

    public static class TdApi.AuthorizationStateWaitEncryptionKey
    extends TdApi.AuthorizationState

TDLib needs an encryption key to decrypt the local database.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isEncrypted` True, if the database is currently encrypted.

### Constructor Summary

Constructors
`AuthorizationStateWaitEncryptionKey()` Default constructor.
`AuthorizationStateWaitEncryptionKey​(boolean isEncrypted)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isEncrypted

    public boolean isEncrypted

True, if the database is currently encrypted.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AuthorizationStateWaitEncryptionKey

    public AuthorizationStateWaitEncryptionKey()

Default constructor.

#### AuthorizationStateWaitEncryptionKey

    public AuthorizationStateWaitEncryptionKey​(boolean isEncrypted)

Constructor for initialization of all fields.

Parameters:
  `isEncrypted` - True, if the database is currently encrypted.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR